Ask Your Question
0

error in nova verification and in neutron

asked 2019-01-26 09:04:19 -0500

najeh gravatar image

updated 2019-01-27 08:08:48 -0500

After setting up the cloud environment using openstack and creating a lot of instances. Now i'm not able to create any new instance or to access to the cloud.

root@controller:/var/log/neutron# openstack server list                                               Failed to discover available identity versions when contacting http://192.168.1.23:5000/v3. Attempting to parse version from URL.                                                                             Unable to establish connection to http://192.168.1.23:5000/v3/auth/tokens: HTTPConnectionPool(host='192.168.1.23', port=5000): Max retries exceeded with url: /v3/auth/tokens (Caused by NewConnectionError("<urllib3.connection.HTTPConnection object at 0x7f32b20fe990>: Failed to establish a new connection: [Errno 113] Aucun chemin d'acc\xc3\xa8s pour atteindre l'h\xc3\xb4te cible",))



root@controller:~# nova-status upgrade check  SQL                                               connection failed. 10 attempts left.
SQL connection failed. 9 attempts left.                                                       SQL connection failed. 8 attempts left.                                                        SQL connection failed. 7 attempts left.                                                               SQL connection failed. 6 attempts left.                                                                          SQL connection failed. 5 attempts left.                                                                SQL connection failed. 4 attempts left.                                                                                 SQL connection failed. 3 attempts left.                                                         SQL connection failed. 2 attempts left.                                                       SQL connection failed. 1 attempts left.                                                                                       Error:                                                                                                                                                 Traceback (most recent call last): File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 920, in connect **kwargs) File "/usr/lib/python3/dist-packages/eventlet/green/socket.py", line 69, in create_connection raise err File "/usr/lib/python3/dist-packages/eventlet/green/socket.py", line 59, in create_connection sock.connect(sa) File "/usr/lib/python3/dist-packages/eventlet/greenio/base.py", line 256, in connect socket_checkerr(fd) File "/usr/lib/python3/dist-packages/eventlet/greenio/base.py", line 46, in socket_checkerr raise socket.error(err, errno.errorcode[err]) OSError: [Errno 113] EHOSTUNREAC  During handling of the above exception, another exception occurred:                                                                      Traceback (most recent call last): File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 2158, in _wrap_pool_connect return fn() File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 345, in unique_connection return _ConnectionFairy._checkout(self) File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 791, in _checkout fairy = _ConnectionRecord.checkout(pool) File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 532, in checkout rec = pool._do_get() File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 1196, in _do_get self._dec_overflow() File "/usr/lib/python3/dist-packages/sqlalchemy/util/langhelpers.py", line 66, in exit compat.reraise(exc_type, exc_value, exc_tb) File "/usr/lib/python3/dist-packages/sqlalchemy/util/compat.py", line 187, in reraise raise value File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 1193, in _do_get return self._create_connection() File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 350, in _create_connection return _ConnectionRecord(self) File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 477, in init self.connect(first_connect_check=True) File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 674, in __connect connection = pool._invoke_creator(self) File "/usr/lib/python3/dist-packages/sqlalchemy/engine/strategies.py", line 106, in connect return dialect.connect(*cargs, **cparams) File "/usr/lib/python3/dist-packages/sqlalchemy/engine/default.py", line 411, in connect return self.dbapi.connect(*cargs, **cparams) File "/usr/lib/python3/dist-packages ...
(more)
edit retag flag offensive close merge delete

Comments

1

Your network configuration prevents you from reaching ports 5000, 5672 and 3306 on host 192.168.1.23. That’s all that can be said. Fix the network.

Bernd Bausch gravatar imageBernd Bausch ( 2019-01-26 16:38:56 -0500 )edit

@Bernd Bausch How can i fix the network in my nodes? Because it looks fine.

najeh gravatar imagenajeh ( 2019-01-27 00:37:08 -0500 )edit

@Bernd Bausch, ifconfig in my controller node show me that the bridge take the management addresse as its ip address. is it normal ?

i add above in the question description.

ps: enps50 is the provider interface and enp5s0:0 =192.168.1.23 is the management interface

najeh gravatar imagenajeh ( 2019-01-27 05:51:48 -0500 )edit
1

Since I don't know your Neutron configuration, I have no idea what this bridge is about. Are you using tenant networks? ML2? If ML2, which mechanism driver? Which interfaces are plugged into this bridge?

In short, describe how Neutron is set up.

Bernd Bausch gravatar imageBernd Bausch ( 2019-01-27 07:19:13 -0500 )edit

yes i used ML2 with linuxbridge mechanism driver. I have just one interface in my node so i created a static interface enp5s0:0 which represent the management interface with "192.168.1.23" ip_add and the enp5s0 is the provider interface

I added my /etc/network/interfaces file above in the question

najeh gravatar imagenajeh ( 2019-01-27 08:03:50 -0500 )edit

1 answer

Sort by » oldest newest most voted
2

answered 2019-01-26 15:11:00 -0500

novainfinite gravatar image

updated 2019-01-27 01:45:45 -0500

your sql does not work properly

1-ping controller

if do not get ttl add <ip> controller in /etc/resolv.conf

2-mysql -u root -p

3-mysql -u nova -h controller -p

edit flag offensive delete link more

Comments

@novainfinite the ping works fine in all nodes but the Linux bridge agent in my compute nodes are not alive (i.e., xxxx) and the nova-compute are in down state

najeh gravatar imagenajeh ( 2019-01-27 04:18:19 -0500 )edit
1

what a bout sql?

novainfinite gravatar imagenovainfinite ( 2019-01-27 06:16:55 -0500 )edit

@novainfinite, sql works fine also

najeh gravatar imagenajeh ( 2019-01-27 06:43:15 -0500 )edit
1

So, you can reach the SQL server, but at the same time both Nova and the Neutron server log say [Errno 113] EHOSTUNREACH?

How did you confirm that SQL works?

Bernd Bausch gravatar imageBernd Bausch ( 2019-01-27 07:23:22 -0500 )edit

@Bernd Bausch the status of mariadb and mysql is running/active

najeh gravatar imagenajeh ( 2019-01-27 08:12:58 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2019-01-26 09:04:19 -0500

Seen: 121 times

Last updated: Jan 27